### Method

# Gtk MediaStreamgerror

#### Declaration [src]

    void
    gtk_media_stream_gerror (
      GtkMediaStream* self,
      GError* error
    )

#### Description [src]

Sets `self` into an error state.

This will pause the stream (you can check for an error via `gtk_media_stream_get_error()` in your GtkMediaStream.pause() implementation), abort pending seeks and mark the stream as prepared.

if the stream is already in an error state, this call will be ignored and the existing error will be retained.

To unset an error, the stream must be reset via a call to `gtk_media_stream_unprepared()`.

#### Parameters

`error`

  Type: `GError`

  The `GError` to set.

  The instance takes ownership of the data, and is responsible for freeing it.